Summary: Hierarchical Notebook
Name: hnb
Version: 1.9.18
Release: 10%{?dist}
License: GPLv2+
URL: http://hnb.sourceforge.net
Group: Applications/Productivity
Source0: http://hnb.sourceforge.net/.files/%{name}-%{version}.pre7.tar.gz
Source1: hnbrc.vi
Patch0: %{name}-rpm.patch
Patch1: %{name}-compile.patch
# based on http://ftp.debian.org/debian/pool/main/h/hnb/hnb_1.9.18-3.diff.gz
Patch2: hnb-debian.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ncurses-devel

%description
Hierarchical notebook(hnb) is a curses program to structure many kinds
of data in one place, for example addresses, to-do lists, ideas, book
reviews or to store snippets of brainstorming. Writing structured
documents and speech outlines.

The default format is XML but hnb can also export to ASCII and HTML.
External programs may be used for more advanced conversions of the XML
data.

%prep
%setup -q -n %{name}-%{version}.pre7
%patch0 -p1 -b .r
%patch1 -p1 -b .compile
%patch2 -p1 -b .debian
cp -p %{SOURCE1} doc/

%build
%{__make} OPTFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -D -p src/hnb $RPM_BUILD_ROOT%{_bindir}/hnb
install -D -pm644 doc/hnb.1 $RPM_BUILD_ROOT%{_mandir}/man1/hnb.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README doc/Documentation.html doc/hnbrc*
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.18-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.18-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.18-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.18-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.9.18-5
- Autorebuild for GCC 4.3

* Sun Aug 25 2007 Dominik Mierzejewski <rpm@greysector.net> 1.9.18-4
- apparently .pre7 tarball contains newer code
- integrate Debian patch
- update license tag

* Tue Aug 29 2006 Dominik Mierzejewski <rpm@greysector.net> 1.9.18-3
- mass rebuild

* Fri Aug 18 2006 Dominik Mierzejewski <rpm@greysector.net> 1.9.18-2
- added dist tag

* Fri Aug 18 2006 Dominik Mierzejewski <rpm@greysector.net> 1.9.18-1
- FE compliance
- fixed compilation with gcc4

* Wed Sep 22 2004 Dominik Mierzejewski <rpm@greysector.net>
- initial build
- patch to build using RPM_OPT_FLAGS
- fix some warnings
